<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:49 JST 2014 -->
<TITLE>
ConnectionBean
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ConnectionBean";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ByteBufferOutputStream.html" title="class in org.apache.zookeeper.server"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/zookeeper/server/ConnectionBean.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConnectionBean.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.zookeeper.server</FONT>
<BR>
Class ConnectionBean</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.zookeeper.server.ConnectionBean</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>org.apache.zookeeper.jmx.ZKMBeanInfo, <A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>ConnectionBean</B><DT>extends java.lang.Object<DT>implements <A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A>, org.apache.zookeeper.jmx.ZKMBeanInfo</DL>
</PRE>

<P>
Implementation of connection MBean interface.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#ConnectionBean(org.apache.zookeeper.server.ServerCnxn, org.apache.zookeeper.server.ZooKeeperServer)">ConnectionBean</A></B>(<A HREF="../../../../org/apache/zookeeper/server/ServerCnxn.html" title="class in org.apache.zookeeper.server">ServerCnxn</A>&nbsp;connection,
               <A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A>&nbsp;zk)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getAvgLatency()">getAvgLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Average latency in ms</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getEphemeralNodes()">getEphemeralNodes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getLastCxid()">getLastCxid</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Last cxid of this connection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getLastLatency()">getLastLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Latency of last response to client on this connection in ms</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getLastOperation()">getLastOperation</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Last operation performed by this connection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getLastResponseTime()">getLastResponseTime</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Last time server sent a response to client on this connection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getLastZxid()">getLastZxid</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Last zxid of this connection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getMaxLatency()">getMaxLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Max latency in ms</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getMinLatency()">getMinLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Min latency in ms</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getName()">getName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getOutstandingRequests()">getOutstandingRequests</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getPacketsReceived()">getPacketsReceived</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getPacketsSent()">getPacketsSent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getSessionId()">getSessionId</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getSessionTimeout()">getSessionTimeout</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getSourceIP()">getSourceIP</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#getStartedTime()">getStartedTime</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#isHidden()">isHidden</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;If isHidden returns true, the MBean won't be registered with MBean server,
 and thus won't be available for management tools.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#resetCounters()">resetCounters</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reset counters</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#terminateConnection()">terminateConnection</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Terminate thei client connection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#terminateSession()">terminateSession</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Terminate this client session.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ConnectionBean.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ConnectionBean(org.apache.zookeeper.server.ServerCnxn, org.apache.zookeeper.server.ZooKeeperServer)"><!-- --></A><H3>
ConnectionBean</H3>
<PRE>
public <B>ConnectionBean</B>(<A HREF="../../../../org/apache/zookeeper/server/ServerCnxn.html" title="class in org.apache.zookeeper.server">ServerCnxn</A>&nbsp;connection,
                      <A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A>&nbsp;zk)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getSessionId()"><!-- --></A><H3>
getSessionId</H3>
<PRE>
public java.lang.String <B>getSessionId</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getSessionId()">getSessionId</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>client's session id</DL>
</DD>
</DL>
<HR>

<A NAME="getSourceIP()"><!-- --></A><H3>
getSourceIP</H3>
<PRE>
public java.lang.String <B>getSourceIP</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getSourceIP()">getSourceIP</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>source (client) IP address</DL>
</DD>
</DL>
<HR>

<A NAME="getName()"><!-- --></A><H3>
getName</H3>
<PRE>
public java.lang.String <B>getName</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE>getName</CODE> in interface <CODE>org.apache.zookeeper.jmx.ZKMBeanInfo</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a string identifying the MBean</DL>
</DD>
</DL>
<HR>

<A NAME="isHidden()"><!-- --></A><H3>
isHidden</H3>
<PRE>
public boolean <B>isHidden</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE>org.apache.zookeeper.jmx.ZKMBeanInfo</CODE></B></DD>
<DD>If isHidden returns true, the MBean won't be registered with MBean server,
 and thus won't be available for management tools. Used for grouping MBeans.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE>isHidden</CODE> in interface <CODE>org.apache.zookeeper.jmx.ZKMBeanInfo</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>true if the MBean is hidden.</DL>
</DD>
</DL>
<HR>

<A NAME="getEphemeralNodes()"><!-- --></A><H3>
getEphemeralNodes</H3>
<PRE>
public java.lang.String[] <B>getEphemeralNodes</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getEphemeralNodes()">getEphemeralNodes</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>number of ephemeral nodes owned by this connection</DL>
</DD>
</DL>
<HR>

<A NAME="getStartedTime()"><!-- --></A><H3>
getStartedTime</H3>
<PRE>
public java.lang.String <B>getStartedTime</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getStartedTime()">getStartedTime</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>time the connection was started</DL>
</DD>
</DL>
<HR>

<A NAME="terminateSession()"><!-- --></A><H3>
terminateSession</H3>
<PRE>
public void <B>terminateSession</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#terminateSession()">ConnectionMXBean</A></CODE></B></DD>
<DD>Terminate this client session. The client will reconnect with a different
 session id.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#terminateSession()">terminateSession</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="terminateConnection()"><!-- --></A><H3>
terminateConnection</H3>
<PRE>
public void <B>terminateConnection</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#terminateConnection()">ConnectionMXBean</A></CODE></B></DD>
<DD>Terminate thei client connection. The client will immediately attempt to 
 reconnect with the same session id.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#terminateConnection()">terminateConnection</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="resetCounters()"><!-- --></A><H3>
resetCounters</H3>
<PRE>
public void <B>resetCounters</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#resetCounters()">ConnectionMXBean</A></CODE></B></DD>
<DD>Reset counters
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#resetCounters()">resetCounters</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>java.lang.Object</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getOutstandingRequests()"><!-- --></A><H3>
getOutstandingRequests</H3>
<PRE>
public long <B>getOutstandingRequests</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getOutstandingRequests()">getOutstandingRequests</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>number of requets being processed</DL>
</DD>
</DL>
<HR>

<A NAME="getPacketsReceived()"><!-- --></A><H3>
getPacketsReceived</H3>
<PRE>
public long <B>getPacketsReceived</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getPacketsReceived()">getPacketsReceived</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>packets received from this client</DL>
</DD>
</DL>
<HR>

<A NAME="getPacketsSent()"><!-- --></A><H3>
getPacketsSent</H3>
<PRE>
public long <B>getPacketsSent</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getPacketsSent()">getPacketsSent</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>number of packets sent to this client</DL>
</DD>
</DL>
<HR>

<A NAME="getSessionTimeout()"><!-- --></A><H3>
getSessionTimeout</H3>
<PRE>
public int <B>getSessionTimeout</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getSessionTimeout()">getSessionTimeout</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>session timeout in ms</DL>
</DD>
</DL>
<HR>

<A NAME="getMinLatency()"><!-- --></A><H3>
getMinLatency</H3>
<PRE>
public long <B>getMinLatency</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getMinLatency()">ConnectionMXBean</A></CODE></B></DD>
<DD>Min latency in ms
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getMinLatency()">getMinLatency</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getAvgLatency()"><!-- --></A><H3>
getAvgLatency</H3>
<PRE>
public long <B>getAvgLatency</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getAvgLatency()">ConnectionMXBean</A></CODE></B></DD>
<DD>Average latency in ms
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getAvgLatency()">getAvgLatency</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxLatency()"><!-- --></A><H3>
getMaxLatency</H3>
<PRE>
public long <B>getMaxLatency</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getMaxLatency()">ConnectionMXBean</A></CODE></B></DD>
<DD>Max latency in ms
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getMaxLatency()">getMaxLatency</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLastOperation()"><!-- --></A><H3>
getLastOperation</H3>
<PRE>
public java.lang.String <B>getLastOperation</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getLastOperation()">ConnectionMXBean</A></CODE></B></DD>
<DD>Last operation performed by this connection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getLastOperation()">getLastOperation</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLastCxid()"><!-- --></A><H3>
getLastCxid</H3>
<PRE>
public java.lang.String <B>getLastCxid</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getLastCxid()">ConnectionMXBean</A></CODE></B></DD>
<DD>Last cxid of this connection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getLastCxid()">getLastCxid</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLastZxid()"><!-- --></A><H3>
getLastZxid</H3>
<PRE>
public java.lang.String <B>getLastZxid</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getLastZxid()">ConnectionMXBean</A></CODE></B></DD>
<DD>Last zxid of this connection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getLastZxid()">getLastZxid</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLastResponseTime()"><!-- --></A><H3>
getLastResponseTime</H3>
<PRE>
public java.lang.String <B>getLastResponseTime</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getLastResponseTime()">ConnectionMXBean</A></CODE></B></DD>
<DD>Last time server sent a response to client on this connection
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getLastResponseTime()">getLastResponseTime</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLastLatency()"><!-- --></A><H3>
getLastLatency</H3>
<PRE>
public long <B>getLastLatency</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getLastLatency()">ConnectionMXBean</A></CODE></B></DD>
<DD>Latency of last response to client on this connection in ms
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html#getLastLatency()">getLastLatency</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server">ConnectionMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ByteBufferOutputStream.html" title="class in org.apache.zookeeper.server"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ConnectionMXBean.html" title="interface in org.apache.zookeeper.server"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/zookeeper/server/ConnectionBean.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConnectionBean.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
